package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.pojo.*;

import java.util.List;
import java.util.Map;

public interface ModelService {
    void createModel(ModelDTO dto);

    void createModelVersion(ModelDTO dto);

    List<ModelVO> list();

    ModelVersion detail(Long id);

    void updateModel(ModelVersionDTO dto);

    void deleteModelVersion(Long id);

    void updateLifeCycle(Long id, String lifeCycle);

    List<Map<String, String>> listLifeCycle();

    List<DatasetEntity> listDataset();
}
